# Class RawTransactionInput

#### Hierarchy

- unknown
  - RawTransactionInput

- Defined in src/protobuf/pb_pb.d.ts:3427
- Defined in src/protobuf/pb_pb.d.ts:3447

#####
Index

### Constructors

constructor

### Methods

getIndex
getParentTransaction
getParentTransaction_asB64
getParentTransaction_asU8
getValue
serializeBinary
setIndex
setParentTransaction
setValue
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RawTransactionInput(): RawTransactionInput

- #### Returns RawTransactionInput

  Inherited from jspb.Message.constructor

## Methods

### getIndex

- getIndex(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3428

### getParentTransaction

- getParentTransaction(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3431

### getParentTransaction_asB64

- getParentTransaction_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3433

### getParentTransaction_asU8

- getParentTransaction_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3432

### getValue

- getValue(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3436

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3439

### setIndex

- setIndex(value: number): RawTransactionInput

- #### Parameters

  - ##### value: number

  #### Returns RawTransactionInput

  - Defined in src/protobuf/pb_pb.d.ts:3429

### setParentTransaction

- setParentTransaction(value: string | Uint8Array): RawTransactionInput

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RawTransactionInput

  - Defined in src/protobuf/pb_pb.d.ts:3434

### setValue

- setValue(value: number): RawTransactionInput

- #### Parameters

  - ##### value: number

  #### Returns RawTransactionInput

  - Defined in src/protobuf/pb_pb.d.ts:3437

### toObject

- toObject(includeInstance?: boolean): RawTransactionInput.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RawTransactionInput.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3440

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RawTransactionInput

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RawTransactionInput

  - Defined in src/protobuf/pb_pb.d.ts:3443

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RawTransactionInput, reader: BinaryReader): RawTransactionInput

- #### Parameters

  - ##### message: RawTransactionInput

  - ##### reader: BinaryReader

  #### Returns RawTransactionInput

  - Defined in src/protobuf/pb_pb.d.ts:3444

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RawTransactionInput, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RawTransactionInput

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3442

### `Static` toObject

- toObject(includeInstance: boolean, msg: RawTransactionInput): RawTransactionInput.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RawTransactionInput

  #### Returns RawTransactionInput.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3441

Generated using TypeDoc